View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000527Ecere SDKidepublic2010-08-07 15:092013-05-19 22:15
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000527: Left overs in project files (Empty arrays)
DescriptionI have a bunch of project files that end up with 'empty' lists, e.g.
"Platforms"


   "Platforms" : [
   ],

The code was supposed to get rid of the whole section when there is nothing in it.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000470)
jerome (administrator)
2011-10-13 20:10

It seems to leave empty PlatformOptions as well, that looks like:

         "Configurations" : [
            {
               "Name" : "Release",
               "Platforms" : [
                  {
                     "Name" : "Linux",
                     "Options" : {

                     }
                  }
               ]
            },

The relevant code is in ide/src/ProjectSettings.ec, void Unset()

It checks options.isEmpty and delete options objects and remove the platforms/configs from the lists
(0000471)
jerome (administrator)
2011-10-13 21:59

After an Unset, everything seemed to save fine now, including the empty Library Dirs [ ] that went away
(LibraryDirs are *always* added, so an empty array is usless, it *won't take out* the libraries)

Will stay alert for empty Options occurances.
(0000472)
jerome (administrator)
2011-10-13 22:10
edited on: 2011-10-13 22:10

Just saw a LibraryDirs : [ ] going away, but leaving an empty "Options" : { } as all remaining in a "Linux" Platforms.

Will try to reproduce and test.

(0000478)
jerome (administrator)
2011-10-16 07:23

https://github.com/ecere/sdk/commit/a422ab542cf7aeff6c567df0c94239f39e70cdbd [^]

- Issue History
Date Modified Username Field Change
2010-08-07 15:09 jerome New Issue
2010-08-07 15:10 jerome Target Version => 0.44 pre-release 2
2010-08-07 15:10 jerome Relationship added child of 0000429
2010-08-07 16:45 jerome Summary Left overs in project files => Left overs in project files (Empty arrays)
2010-08-07 17:20 jerome Status new => assigned
2010-08-07 17:20 jerome Assigned To => redj
2011-10-13 20:10 jerome Note Added: 0000470
2011-10-13 21:59 jerome Note Added: 0000471
2011-10-13 22:10 jerome Note Added: 0000472
2011-10-13 22:10 jerome Note Edited: 0000472
2011-10-15 18:58 jerome Assigned To redj => jerome
2011-10-16 07:23 jerome Status assigned => resolved
2011-10-16 07:23 jerome Fixed in Version => 0.44 pre-release 2
2011-10-16 07:23 jerome Resolution open => fixed
2011-10-16 07:23 jerome Note Added: 0000478
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:19 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker